1. 1688 Product Search
  • 1688 API
    • 1688 Product Search
      • API for Visual Search of Similar Products
        • API for Image upload
          GET
        • API for Visual Search of Similar Products
          GET
      • API for Product Keyword Search
        GET
      • API for Product Detail Search
        GET
      • API for Searching Products in a Shop
        GET
    • 1688 Logistics
      • API for China Domestic Shipping Cost
    • 1688 Category
      • API for Category Search on 1688
    • 1688 Order Manage
      • API for Creating Preview Order
      • API for Creating Formal Order
      • API for Canceling Formal Order
      • API for Querying Order Details
      • API for Confirming Order Receipt
      • API for Retrieving Payment Link
      • API for Auto Payment of Order
    • 1688 Message Service
      • Order Created Message
      • Order Price Modification Message
      • Transaction Payment Message
      • Order Delivery Message
      • Logistics Order Status Change
      • Order Receipt Confirmation Message
      • Transaction Completed Message
      • Signature Verification
  1. 1688 Product Search

API for Searching Products in a Shop

GET
/alibaba/product/shopQuery
API for Searching Products in a Shop

Request

Query Params

Responses

🟢200成功
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://open-api.soureco.com/alibaba/product/shopQuery?appKey=&appSecret=&sign=&sellerOpenId=BBB7dicdtbRuVrq9iuO9gkF2g&beginPage=1&pageSize=1&outMemberId=123&priceStart=&priceEnd=&categoryId=undefined&country=en&regionOpp=undefined&productCollectionId=undefined&snId=undefined'
Response Response Example
{
    "code": 200,
    "message": "操作成功",
    "data": {
        "totalRecords": 299,
        "totalPage": 300,
        "pageSize": 1,
        "currentPage": 1,
        "data": [
            {
                "imageUrl": "https://cbu01.alicdn.com/img/ibank/O1CN01dGnyLo24p77TzlwwE_!!2211245337439-0-cib.jpg",
                "subject": "手表盒 手链盒 首饰包装盒 饰品包装盒 精美首饰盒",
                "subjectTrans": "Watch Box Bracelet Box Jewelry Packaging Box Jewelry Packaging Box Fine Jewelry Box",
                "offerId": 641327777423,
                "isJxhy": false,
                "repurchaseRate": "33%",
                "monthSold": 28068,
                "traceInfo": "object_id%40641327777423%5Eobject_type%40offer%5Etrace%402150466117849053311437676e0dec%5Ekeyword%40null%5EoutMemberId%40123",
                "isOnePsale": false,
                "priceInfo": {
                    "price": "0.60",
                    "jxhyPrice": null,
                    "pfJxhyPrice": null,
                    "consignPrice": "0.6"
                },
                "patentProduct": null,
                "createDate": "2022-10-18 10:47:49",
                "modifyDate": "2026-07-24 19:06:01",
                "isPatentProduct": false,
                "offerIdentities": [],
                "isSelect": "false",
                "token": null
            }
        ]
    },
    "timestamp": 1784905331375,
    "traceId": "dc4afb8459ae",
    "cost": 0
}
Previous
API for Product Detail Search
Next
API for China Domestic Shipping Cost
Built with